Show progress
curl --request GET \
--url https://api.firstpromoter.com/api/v2/company/batch_processes/progress \
--header 'Account-ID: <account-id>' \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.firstpromoter.com/api/v2/company/batch_processes/progress"
headers = {
"Account-ID": "<account-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Account-ID': '<account-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.firstpromoter.com/api/v2/company/batch_processes/progress', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"30": 0,
"31": 0,
"32": 0
}{
"message": "Invalid user type",
"code": "forbidden"
}Batch Processes
Show progress
Show progress of batch process.
HTTP Request
GET https://api.firstpromoter.com/api/v2/company/batch_processes/progressGET
/
batch_processes
/
progress
Show progress
Authorizations
API key passed as a Bearer token in the Authorization header. You can find your API Key on Your FirstPromoter Dashboard. Navigate to Settings → Integrations section → Manage API Keys
Headers
Account ID. You can find your Account ID on Your FirstPromoter Dashboard. Navigate to Settings → Integrations
Query Parameters
Filter by status (array or string)
Available options:
pending, in_progress, completed, failed, stopped Response
Successfully retrieved batch process progress
⌘I